Bug 191887 - X11 with radeon driver freezes when switching to/from the console
X11 with radeon driver freezes when switching to/from the console
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 06:55 EDT by Roy Dragseth
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 18:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roy Dragseth 2006-05-16 06:55:48 EDT
Description of problem:
I have a 3 year old Sony Picturebook with a videocard detected as 

(--) RADEON(0): Chipset: "ATI Radeon Mobility M6 LY (AGP)" (ChipID = 0x4c59)

Up until FC3 everything was working fine, but with FC4 and upwards X freezes 
when switching to and from the text console, usually the first switch is OK, 
but a second one locks up the system.  (Yes, I should have reported this 
earlier, but until FC5 I found a workaround by using old xorg-x11 rpms)

I get nothing in the logs indicating any errors, the screen just goes dark and 
never recovers.


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.5.7.3-4

The last working version I used was  in this rpm.

xorg-x11-6.8.1-12.i386.rpm


How reproducible:

Install basic FC5 with X11.

Steps to Reproduce:
1. boot to runlevel 3
2. run X as root
3. Ctrl-Alt-F1, Alt-F7, Ctrl-Alt-F1, Alt-F7.
  
Actual results:
Screen goes dark and system freezes.

Expected results:
X should come back again.

Additional info:

I just found that the vesa driver does not exhibit this problem, I just wanted 
to report it as I've seen others complaining about this when trying to work 
around a bug in FC5 when installing on Crusoe cpus (bug  186378).

Best regards,
Roy.
Comment 1 Mike A. Harris 2006-05-23 09:56:55 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Roy Dragseth 2006-06-07 18:41:08 EDT
Ok, I've found a similar bug that I'm just posting additional info to:

https://bugs.freedesktop.org/show_bug.cgi?id=5611

r.
Comment 3 Adam Jackson 2007-03-26 18:14:40 EDT
-> upstream per comment #2

Note You need to log in before you can comment on or make changes to this bug.